# OSGeo::FDO::Common::Xml::XmlSaxHandler Class Reference
[OSGeo::FDO::Common::Xml]

Inheritance diagram for OSGeo::FDO::Common::Xml::XmlSaxHandler:

[legend]

List of all members.

## Detailed Description

XmlSaxHandler defines the SAX Handler callback interface. It is not an interface in the strict sense, since each function has a default implementation that does nothing. Implementors can override these callbacks to customize the handling of XML fragments parsed by XmlReader.

()

## Public Member Functions
virtual System::Void | XmlCharacters (OSGeo::FDO::Common::Xml::XmlSaxContext *context, System::String *characters)
| Default Sax callback that is called when the XmlReader reads a chunk of simple content for the current element. Does nothing by default. This function may be called multiple times for the same element, if the the content is long. Applications must not make any assumptions about the chunk size or number of chunks for each element.
virtual System::Void | XmlEndDocument (OSGeo::FDO::Common::Xml::XmlSaxContext *context)
| Default Sax callback that is called when the XmlReader finishes reading an XML document. Does nothing.
virtual System::Boolean | XmlEndElement (OSGeo::FDO::Common::Xml::XmlSaxContext *context, System::String *resourceLocation, System::String *name, System::String *qualifiedName)
| Default Sax callback that is called when the XmlReader reads the end tag for an XML element in the document. Does nothing.
| XmlSaxHandler (System::IntPtr unmanaged, System::Boolean autoDelete)
| Constructs a SaxHandler based on an unmanaged instance of the object.
| XmlSaxHandler ()
virtual OSGeo::FDO::Common::Xml::IXmlSaxHandler * | XmlStartDocument (OSGeo::FDO::Common::Xml::XmlSaxContext *context)
| Default Sax callback that is called when the XmlReader starts reading an XML document. Does nothing.
virtual OSGeo::FDO::Common::Xml::IXmlSaxHandler * | XmlStartElement (OSGeo::FDO::Common::Xml::XmlSaxContext *context, System::String *resourceLocation, System::String *name, System::String *qualifiedName, OSGeo::FDO::Common::Xml::XmlAttributeCollection *attributes)
| Default Sax callback that is called when the XmlReader reads the start tag for an XML element in the document. Does nothing.